%global debug_package %{nil}

Summary:       Authoritative DNS server for A/AAAA container records
Name:          aardvark-dns
Version:       1.6.0
Release:       5%{?dist}
License:       ASL 2.0 and BSD and MIT
URL:           https://github.com/containers/aardvark-dns
Source0:       %{url}/archive/v%{version}.tar.gz #/%{name}-%{version}.tar.gz
Source1:       %{url}/releases/download/v%{version}/%{name}-v%{version}-vendor.tar.gz
Patch3001:     0001-aardvark-dns-1.6.0-add-loongarch64-support-for-nix.patch

ExclusiveArch: %{rust_arches}
BuildRequires: make git-core
BuildRequires: cargo rust-srpm-macros
Conflicts:     netavark < %{version}

%description
Authoritative DNS server for A/AAAA container records

Forwards other request to configured resolvers.
Read more about configuration in `src/backend/mod.rs`.


%prep
%setup
tar fx %{SOURCE1}
%patch3001 -p1

mkdir -p .cargo

cat >.cargo/config << EOF
[source.crates-io]
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "vendor"

[net]
offline = true
EOF


%build
# Don't make in parallel
%{__make} build


%install
# Don't make in parallel
%{__make} DESTDIR=%{buildroot} PREFIX=%{_prefix} install


%files
%license LICENSE
%dir %{_libexecdir}/podman
%{_libexecdir}/podman/%{name}


%changelog
* Mon Jul 8 2024 Pengda Dou <doupengda@loongson.cn> - 1.6.0-5
- [Type] other
- [DESC] add support for loongarch64

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 27 2023 Wang Guodong <gordonwwang@tencent.com> - 1.6.0-3
- Rebuilt for rust 1.71.0

* Tue Jul 18 2023 Wang Guodong <gordonwwang@tencent.com> - 1.6.0-2
- Rebuilt for rust 1.69.0

* Tue Jun 20 2023 kianli <kianli@tencent.com> - 1.6.0-1
- Upgrade to 1.6.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 07 2023 rockerzhu <rockerzhu@tencent.com> - 1.5.0-1
- Initial build
